﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.3
@EndOfDesignText@
'Custom View class 
#Event: ExampleEvent (Value As Int)
#DesignerProperty: Key: BooleanExample, DisplayName: Boolean Example, FieldType: Boolean, DefaultValue: True, Description: Example of a boolean property.
#DesignerProperty: Key: IntExample, DisplayName: Int Example, FieldType: Int, DefaultValue: 10, MinRange: 0, MaxRange: 100, Description: Note that MinRange and MaxRange are optional.
#DesignerProperty: Key: StringWithListExample, DisplayName: String With List, FieldType: String, DefaultValue: Sunday, List: Sunday|Monday|Tuesday|Wednesday|Thursday|Friday|Saturday
#DesignerProperty: Key: StringExample, DisplayName: String Example, FieldType: String, DefaultValue: Text
#DesignerProperty: Key: ColorExample, DisplayName: Color Example, FieldType: Color, DefaultValue: 0xFFCFDCDC, Description: You can use the built-in color picker to find the color values.
#DesignerProperty: Key: DefaultColorExample, DisplayName: Default Color Example, FieldType: Color, DefaultValue: Null, Description: Setting the default value to Null means that a nullable field will be displayed.
#Event: setCliDatos(Value As Map)
#DesignerProperty: Key: cliClon, DisplayName: Clonado veces, FieldType: Int, DefaultValue: 0, MinRange: 0, MaxRange: 100, Description: esta propiedad representa las veces que se clono o replico un cliente. Mas usado para agregar un nuevo cliente Ocasional(1) y poder replicarlo para otros
#DesignerProperty: Key: cliCod, DisplayName: Codigo del cliente, FieldType: Int, DefaultValue: 0, MinRange: 0, MaxRange: 500, Description: Código del Cliente

Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	Private mBase As Panel
	Public Tag As Object '/
	Private Const DefaultColorConstant As Int = -984833 'ignore
	
	Public xui As XUI
	
	Private lbconcre As Label
	Private lbdir As Label
	Private lblAction1 As Label
	Private lbmonto As Label
	Private lbnom As Label
	Private lbprop As Label
	Private lbruc As Label
	'Private ShapeCli As Panel
	
	Private cliClon As Int
	Private cliCod As Int

End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl As Label, Props As Map)
	mBase = Base
	Sleep(0)
	mBase.LoadLayout("clientecard2")
	'Dim clr As Int = xui.PaintOrColorToColor(Props.Get("TextColor")) 'Example of getting a color value from Props
	'Sleep(0)
	Log("DesignerCreate.mBase.elementos:"&mBase.NumberOfViews)
End Sub

Public Sub AddToParent(Parent As B4XView, Left As Int, Top As Int, Width As Int, Height As Int)
	mBase.Initialize("mBase")
	Parent.AddView(mBase, Left, Top, Width, Height)
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

Public Sub setCliDatos( curClientes As Map) As Boolean
	cliClon = curClientes.Get("cli_clon")
	cliCod  = curClientes.Get("cli_codigo")

'	lbconcre.Initialize("")
'	lbdir.Initialize("")
'	lblAction1.Initialize("")
'	lbmonto.Initialize("")
'	lbnom.Initialize("")
'	lbprop.Initialize("")
'	lbruc.Initialize("")

	Dim xConCre As Int = curClientes.Get("cli_concre")
	If xConCre=2 Then
		lbconcre.Text = "CR"
	Else
		lbconcre.Text = "CO"
	End If

	lbnom.Text = curClientes.Get("cli_descri")

	If curClientes.Get("cli_contacto")<>Null Then
		lbprop.Text = curClientes.Get("cli_contacto")
	Else
		lbprop.Text = ""
	End If

	If curClientes.Get("cli_ruc")<>Null Then
		lbruc.Text = "RUC:" & curClientes.Get("cli_ruc")
	Else
		lbruc.Text = "RUC:?"
	End If

	Dim elmonto As Double 
	If curClientes.Get("total")=Null Then
		elmonto = 0
	Else
		elmonto = curClientes.Get("total") 
	End If
	lbmonto.Text = NumberFormat2(elmonto,0,0,0,False) ' xPriceDigDecimal,xPriceDigDecimal,False)

	lbdir.Text = curClientes.Get("cli_direcc")
	'
	'mBase.Tag =  " soy el tag de ClienteTarjeta"

	Return True
	
End Sub

Public Sub GetcliCod As Int
	Return cliCod
End Sub

Public Sub GetcliClon As Int
	Return cliClon
End Sub

Public Sub GetCliDatos As Map
	Dim mCli As Map
	mCli.Initialize
	mCli.Put("cliClon",cliClon)
	mCli.Put("cliCod",cliCod)
	mCli.Put("cliNombre",lbnom.Text)
	mCli.Put("cliRuc",lbruc.Text)
	mCli.Put("cliTotPedido",lbmonto)
	
	Return mCli
	
End Sub
